Set default harness and models
curl --request PATCH \
--url https://api.zode.dev/v1/agents/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"default_models": {},
"auth_methods": {}
}
'import requests
url = "https://api.zode.dev/v1/agents/settings"
payload = {
"default_models": {},
"auth_methods": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({default_models: {}, auth_methods: {}})
};
fetch('https://api.zode.dev/v1/agents/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.zode.dev/v1/agents/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'default_models' => [
],
'auth_methods' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.zode.dev/v1/agents/settings"
payload := strings.NewReader("{\n \"default_models\": {},\n \"auth_methods\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.zode.dev/v1/agents/settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"default_models\": {},\n \"auth_methods\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.zode.dev/v1/agents/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"default_models\": {},\n \"auth_methods\": {}\n}"
response = http.request(request)
puts response.read_body{
"harnesses": [
{
"id": "claude-code",
"name": "<string>",
"providers": [
"<string>"
],
"connected_via": [
"<string>"
],
"connected": true,
"default": true,
"default_model": "<string>",
"models": [
{
"id": "<string>",
"provider": "<string>"
}
],
"auth_method": "api_key",
"subscription": {
"kind": "claude",
"name": "<string>",
"connected": true,
"hint": "<string>",
"account_email": "<string>",
"connected_at": "2023-11-07T05:31:56Z",
"method": "paste",
"sign_in": {
"id": "<string>",
"harness": "claude-code",
"sandbox_id": "<string>",
"sandbox_name": "<string>",
"state": "starting",
"url": "<string>",
"user_code": "<string>",
"needs_code": true,
"expires_at": "2023-11-07T05:31:56Z",
"error": "<string>"
}
}
}
],
"credentials": [
{
"provider": "<string>",
"name": "<string>",
"connected": true,
"hint": "<string>",
"connected_at": "2023-11-07T05:31:56Z",
"used_by": [
"<string>"
]
}
],
"default_harness": "<string>",
"secrets_available": true,
"sign_in_sandbox": {
"id": "<string>",
"name": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>"
}
}Agents
Set default harness and models
Set the default harness and default models.
default_harness is the one zode prompt uses; "" clears it.
default_models maps a harness id to one of its listed model ids;
"" clears that harness’s default. Audited as agent.settings.update
with the changes.
PATCH
/
v1
/
agents
/
settings
Set default harness and models
curl --request PATCH \
--url https://api.zode.dev/v1/agents/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"default_models": {},
"auth_methods": {}
}
'import requests
url = "https://api.zode.dev/v1/agents/settings"
payload = {
"default_models": {},
"auth_methods": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({default_models: {}, auth_methods: {}})
};
fetch('https://api.zode.dev/v1/agents/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.zode.dev/v1/agents/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'default_models' => [
],
'auth_methods' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.zode.dev/v1/agents/settings"
payload := strings.NewReader("{\n \"default_models\": {},\n \"auth_methods\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.zode.dev/v1/agents/settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"default_models\": {},\n \"auth_methods\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.zode.dev/v1/agents/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"default_models\": {},\n \"auth_methods\": {}\n}"
response = http.request(request)
puts response.read_body{
"harnesses": [
{
"id": "claude-code",
"name": "<string>",
"providers": [
"<string>"
],
"connected_via": [
"<string>"
],
"connected": true,
"default": true,
"default_model": "<string>",
"models": [
{
"id": "<string>",
"provider": "<string>"
}
],
"auth_method": "api_key",
"subscription": {
"kind": "claude",
"name": "<string>",
"connected": true,
"hint": "<string>",
"account_email": "<string>",
"connected_at": "2023-11-07T05:31:56Z",
"method": "paste",
"sign_in": {
"id": "<string>",
"harness": "claude-code",
"sandbox_id": "<string>",
"sandbox_name": "<string>",
"state": "starting",
"url": "<string>",
"user_code": "<string>",
"needs_code": true,
"expires_at": "2023-11-07T05:31:56Z",
"error": "<string>"
}
}
}
],
"credentials": [
{
"provider": "<string>",
"name": "<string>",
"connected": true,
"hint": "<string>",
"connected_at": "2023-11-07T05:31:56Z",
"used_by": [
"<string>"
]
}
],
"default_harness": "<string>",
"secrets_available": true,
"sign_in_sandbox": {
"id": "<string>",
"name": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>"
}
}Authorizations
An API key (zode_tok_...). Create one in the console under API keys (https://console.zode.dev/tokens), or with zode login.
Body
application/json
Response
Updated agents view
⌘I